> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Payout Status

> Check status of a payout created via paytring

This API is used to check the status of a payout created via Paytring.

### Request Body

```json theme={null}
{
  "id": "string", // Payout ID received in response on create payout API
  "fetch_type": "string" // Option to do a hard pull of info directly from PG when required (e.g., 'normal', 'advance')
}
```

### Responses

#### 200 OK

```json theme={null}
{
  "status": true,
  "payout": {
    "transfer_status": "boolean",
    "error": "string",
    "transfer_id": "string",
    "ut_no": "null",
    "amount": 111,
    "fund_source": "Cashfree",
    "method": "neft",
    "processed_at": "2020-12-16 09:17:42",
    "transfer_status": "failed",
    "beneficiary": {
      "name": "Preetam",
      "email": "preetam@mcsam.in",
      "phone": "7027445661",
      "vpa": "7027445661@paytm",
      "account": {
        "account_no": "917027445660",
        "ifsc": "PYTM0123456"
      }
    },
    "ack": ""
  }
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error_code": "int",
  "error_message": "string"
}
```


## OpenAPI

````yaml POST /api/v2/payout/fetch
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/payout/fetch:
    post:
      summary: Fetch Payout Status
      description: Check status of a payout created via paytring
      operationId: fetch-payout
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - id
              properties:
                id:
                  type: string
                  description: Payout ID received in response on create payout API.
                  default: 58833954xxxxxxx
                fetch_type:
                  type: string
                  description: >-
                    This option allow user to do a hard pull of info directly
                    from PG when required.
                  default: normal
                  enum:
                    - normal
                    - advance
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": true,
                        "payout": {
                            "transfer_status": boolean,
                            "error": string,
                            "transfer_id": string,
                            "ut_no": null,
                            "amount": 111,
                            "fund_source": "Cashfree",
                            "method": "neft",
                            "processed_at": "2020-12-16 09:17:42",
                            "transfer_status": "failed",
                            "beneficiary": {
                                "name": "Preetam",
                                "email": "preetam@mcsam.in",
                                "phone": "7027445661",
                                "vpa": "7027445661@paytm",
                                "account": {
                                    "account_no": "917027445660",
                                    "ifsc": "PYTM0123456"
                                }
                            },
                            "ack": ""
                        }
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: "{\n\t \"status\": true,\n   \"error_code\": int,\n   \"error_message\": string\n}"
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````